VismaBouwsoftAPICalls.v1_PUT_Jobs Method
v1_PUT_Jobs() as String

This API call is used to update fields of a(n) Job

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Jobs/{id}

You make this API call with the key field id as the path parameter (the id of the Job you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
code 2 tpString 10 Yes Yes No
name 2 tpString 100 No Yes No
price_hour 8 tpCurrency 0 No Yes No
price_hour_saturday 8 tpCurrency 0 No Yes No
price_hour_sunday 8 tpCurrency 0 No Yes No
price_km 8 tpCurrency 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No

/Jobs/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Jobs/48

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UrkfWxfGVOzSfDAfbfzRqGkbfAkVGfjVfAmbzmOkjbffUfjjfb

Query Parameters :
ParameterName: columns, ParameterValue: price_hour=21.5

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 48,
    "price_hour": 21.5,
    "ts_lastupdate": "2026–05–07 09:19:35"
  }
]
}